Subject: Re: linux-next: manual merge of the tty tree with the tty.current tree

From: Greg KH <[email-masked]>
Date: Wed, 18 Dec 2019 08:05:44 +0100

On Wed, Dec 18, 2019 at 11:49:42AM +1100, Stephen Rothwell wrote:
> Hi all,
> 
> Today's linux-next merge of the tty tree got a conflict in:
> 
>   drivers/tty/serial/atmel_serial.c
> 
> between commit:
> 
>   cb47b9f8630a ("tty/serial: atmel: fix out of range clock divider handling")
> 
> from the tty.current tree and commit:
> 
>   751d0017334d ("tty/serial: atmel: fix out of range clock divider handling")
> 
> from the tty tree.
> 
> These are 2 version of the same change, I guess.
> 
> I fixed it up (I just used the tty tree version) and can carry the fix
> as necessary. This is now fixed as far as linux-next is concerned, but
> any non trivial conflicts should be mentioned to your upstream maintainer
> when your tree is submitted for merging.  You may also want to consider
> cooperating with the maintainer of the conflicting tree to minimise any
> particularly complex conflicts.
> 

Oops, thanks for noticing that, I'll go revert th eone in the tty-next
branch as that should not be there, the one in tty-linus is correct.

thanks,

greg k-h